Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 19/01/2013, à 17:47

Jonacre

[QGis 1.8] Lire ECW sous Ubuntu 12.10

Bonjour,

Je suis sous Ubuntu 12.10 avec QGis 1.8 et je n'arrive pas à lire les formats ECW...J'ai essayé de chercher des solutions sur internet, mais elles ne sont pas à jour et il y a relativement peu d'informations...

J'en aurais besoin assez rapidement...

Merci de votre aide

Hors ligne

#2 Le 20/01/2013, à 11:29

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Il y a des infos ici : http://gis.stackexchange.com/questions/ … untu-12-04

Le problème c'est que libgdal-ecw-src est nécessaire en prérequis pour que ça fonctionne.

Or, quand je tape ces lignes de commandes :

sudo add-apt-repository ppa:ubuntugis/ppa
sudo apt-get update
sudo apt-get install gdal-bin libgdal-ecw-src

Il m'installe bien gdal-bin mais pour libgdal-ecw-src j'ai le message suivant :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libgdal-ecw-src

Quelqu'un pourrait-il m'aider ? hmm

Hors ligne

#3 Le 20/01/2013, à 11:45

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

As-tu bien suivi les indications de la doc sur la question ?
En 12.04 et QGis 1.8, l'ecw est parfaitement supporté (par contre, je ne sais plus si je suis passé par la phase de compilation ou par les paquets).

Hors ligne

#4 Le 20/01/2013, à 13:36

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

lylambda a écrit :

As-tu bien suivi les indications de la doc sur la question ?
En 12.04 et QGis 1.8, l'ecw est parfaitement supporté (par contre, je ne sais plus si je suis passé par la phase de compilation ou par les paquets).

Oui, j'ai bien suivi puisque j'ai mis les lignes de commandes que j'ai tapé pour suivre les indications suivantes :

Pré-requis

    Avoir ajouté et rechargé le PPA ppa:ubuntugis/ppa (sous Ubuntu 10.04 Lucid Lynx, les paquets semblent uniquement disponibles sur le PPA ppa:ubuntugis/ubuntugis-unstable)
    Installer gdal et sa source pour l'ecw : gdal-bin libgdal-ecw-src

Sauf que ça bloque pour libgdal-ecw-src...

Je ne suis pas sous 12.04 mais sous 12.10 donc je ne sais pas si ça change quelque chose...

Hors ligne

#5 Le 20/01/2013, à 14:35

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Je suis passé un peu vite sur ton précédent message. Effectivement, libgdal-ecw-src n'est pas dans le ppa (pas le droit). Il faut que tu le compiles ou que tu le télécharges et l'installes manuellement.
Relis bien la doc et ça devrait aller.

Hors ligne

#6 Le 20/01/2013, à 15:55

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Ben nan justement ça va pas vu que je n'y arrive pas... wink

lylambda a écrit :

Il faut que tu le compiles ou que tu le télécharges et l'installes manuellement.

Ok et je fais ça comment ?

Si c'est faire le paragraphe "Installation par compilation", j'ai essayé et ça n'a rien donné...

Pourrais-tu me préciser ce qu'il faut que je fasse ?

Hors ligne

#7 Le 20/01/2013, à 16:02

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

En fait, je crois que je n'ai pas bien utilisé la commande "./configure --prefix=/usr #imperativement préciser le prefix"

Si par exemple j'ai le dossier "ImageCompressionSDKSourceCode3.3Setup_20070509.zip" dans Home/Dossier personnel/Logiciels, quelle est la commande exact que je dois mettre ? Où est-ce que je dois installer ces images ?

Hors ligne

#8 Le 20/01/2013, à 18:24

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Reprenons du début. Je te conseille de passer par ce tuto qui explique les démarches pas-à-pas. Si cela ne fonctionne pas, on regardera alors la compilation.

Hors ligne

#9 Le 21/01/2013, à 14:28

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Comme avant durant la 1ère étape, il m'installe bien gdal-bin mais pour libgdal-ecw-src j'ai le message suivant :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libgdal-ecw-src

Ensuite pour la 2ème étape, j'installe libecwj2_3.3-1_i386.deb mais lorsque je tape la commande "sudo gdal-ecw-build /usr" dans le terminal, voici la réponse :

sudo: gdal-ecw-build: command not found

En même temps je suis en 32bits et il est dit "Pas de paquet libgdal-ecw pour 32bits à l'heure actuelle, se référer à la suite : Compiler la librairie gdal pour le support de l'ECW "...

Dernière modification par Jonacre (Le 21/01/2013, à 14:31)

Hors ligne

#10 Le 21/01/2013, à 17:48

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

En fait, il fallait que j'ajoute le dépôt unstable :

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable

Après quelques problèmes et quelques recherches, je suis enfin arrivé à tout installer smile

En tapant la commande :
gdalinfo --formats | grep ECW

J'ai la réponse :

ECW (rw): ERDAS Compressed Wavelets (SDK 3.x)
JP2ECW (rw+v): ERDAS JPEG2000 (SDK 3.x)


Sauf que quand je lance QGis et que je veux ouvrir un fichier ecw...il plante et se ferme directement sad

Hors ligne

#11 Le 21/01/2013, à 18:01

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

En fait, j'ai le même problème que sur ce sujet : http://www.forumsig.org/showthread.php?t=35589

Sauf que je suis en 32 bits et que donc je ne peux pas utiliser la solution proposée...

Hors ligne

#12 Le 21/01/2013, à 18:36

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Du coup, j'ai essayé la méthode par compilation...et pareil j'ai bien la réponse :

ECW (rw): ERDAS Compressed Wavelets (SDK 3.x)
JP2ECW (rw+v): ERDAS JPEG2000 (SDK 3.x)

Sauf que quand j'ouvre qgis et que je veux utiliser un .ecw j'ai une boîte de dialogue "exception" qui s'ouvre avec : "basic_string::_S_create"

Dans le terminal, ça me met : Erreur de segmentation (core dumped)

Que dois-je faire ?

Hors ligne

#13 Le 21/01/2013, à 19:04

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Là, ça dépasse mes compétences. Je n'ai jamais rencontré ce problème.
À priori le support de l'ECW est bien présent. Y a t'il une chance que ce soit ce fichier ecw qui pose problème ?
(Apparemment pas d’après le sujet que tu pointes au dessus)

Hors ligne

#14 Le 21/01/2013, à 19:10

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Nan, ce n'est pas le fichier ecw qui pose problème car j'en ai plusieurs et d'autres arrivent à les ouvrir sous windows...:/

Merci quand même de ton aide...j'espère que quelqu'un d'autre aura les compétences pour pouvoir régler ce problème...

Hors ligne

#15 Le 22/01/2013, à 15:51

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Apparemment il existe des patchs :

Il faut s'inspirer de ce paquet sous arch : https://aur.archlinux.org/packages/libecwj2/
Détail de la compilation ici : https://aur.archlinux.org/packages/li/libecwj2/PKGBUILD

Notamment le patch
# std::length_error bug

...Mais je n'ai jamais utilisé ce genre de choses...

La ligne de commande "patch -p0 -i ${srcdir}/libecwj2-3.3-wcharfix.patch" est assez floue pour moi.

Elle me renvoie :

patch: **** Can't open patch file /libecwj2-3.3-wcharfix.patch : No such file or directory

Et si je met seulement ça ""patch -p0 -i libecwj2-3.3-wcharfix.patch" (en étant dans le répertoire qui contient le fichier patch), j'ai la réponse suivante :

x.patch
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Nur libecwj2-3.3-orig/Source/C/NCSUtil/NCSPrefsXML.cpp libecwj2-3.3-wcharfix/Source/C/NCSUtil/NCSPrefsXML.cpp
|--- libecwj2-3.3-orig/Source/C/NCSUtil/NCSPrefsXML.cpp    2006-07-03 03:15:12.000000000 +0200
|+++ libecwj2-3.3-wcharfix/Source/C/NCSUtil/NCSPrefsXML.cpp    2012-09-12 21:51:19.477487746 +0200
--------------------------
File to patch:


Je dois être dans quel répertoire dans le terminal pour utiliser la ligne de commande ? Où est-ce que je met mon fichier patch ? Sur quel fichier je le pose ?

Hors ligne

#16 Le 22/01/2013, à 17:04

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Pour compiler, tu dois te placer dans le dossier qui contient le code. Donc utilise d'abord la commande "cd dossier/source" avant de suivre la procédure de compilation.
Ce dossier source peut être mis n'importe où sur ton système. Ce n'est pas du code "actif".

Quand au patch en question, tu sembles mieux informé que moi ;-).

Hors ligne

#17 Le 22/01/2013, à 18:01

Jonacre

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Alors voilà la solution pour ceux que ça intéresse :

deux archives en principes décompressés : une avec les patch (cf ici : https://aur.archlinux.org/packages/li/l … wj2.tar.gz), une avec les sources (cf ici : http://mirror.ovh.net/gentoo-distfiles/ … -09-06.zip)

Admettons :
/home/jonathan/Logiciels/libecwj2 qui contient les patch
et
/home/jonathan/Logiciels/libecwj2-3.3 qui contient les sources

cd /home/jonathan/Logiciels/libecwj2-3.3/
make clean
patch -p0 -i ../libecwj2/libecwj2-3.3-wcharfix.patch

A ce stade il peut être utile d'appliquer les autres pacths (cf ici : https://aur.archlinux.org/packages/li/libecwj2/PKGBUILD)

autoreconf -i
./configure --prefix=/usr
make
sudo make install

Pour le virer proprement par la suite :

sudo apt-get install checkinstall
sudo checkinstall #il créé un .deb

Voilà, j'ai eu quelques erreurs mais je peux enfin lire des ecw sous QGis ! smile J'espère que ça résistera aux mises à jour...

Merci lylambda wink

Hors ligne

#18 Le 22/01/2013, à 18:22

lylambda

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Félicitation ! Ce n'était pas une mince affaire de trouver la solution.
Et merci pour avoir pris le temps de l'indiquer ici smile

Hors ligne

#19 Le 27/06/2013, à 14:49

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Jonacre a écrit :

Alors voilà la solution pour ceux que ça intéresse :

deux archives en principes décompressés : une avec les patch (cf ici : https://aur.archlinux.org/packages/li/l … wj2.tar.gz), une avec les sources (cf ici : http://mirror.ovh.net/gentoo-distfiles/ … -09-06.zip)

Admettons :
/home/jonathan/Logiciels/libecwj2 qui contient les patch
et
/home/jonathan/Logiciels/libecwj2-3.3 qui contient les sources

cd /home/jonathan/Logiciels/libecwj2-3.3/
make clean
patch -p0 -i ../libecwj2/libecwj2-3.3-wcharfix.patch

A ce stade il peut être utile d'appliquer les autres pacths (cf ici : https://aur.archlinux.org/packages/li/libecwj2/PKGBUILD)

autoreconf -i
./configure --prefix=/usr
make
sudo make install

Pour le virer proprement par la suite :

sudo apt-get install checkinstall
sudo checkinstall #il créé un .deb

Voilà, j'ai eu quelques erreurs mais je peux enfin lire des ecw sous QGis ! smile J'espère que ça résistera aux mises à jour...

Merci lylambda wink


Bonjour, je relance ce topic car j'ai le même problème mais j'avoue ne pas tout comprendre dans la procédure.
Je précise au cas où que j'ai sur mon pc libgdal-ecw-src version 1.9.1.3~rarin1 et libewj2 version 3.3-1

Apparemment il faut que je mette les patchs dans le bon répertoire de mon pc contenant les logiciels. Voilà mon premier pb, je ne sais pas comment trouver le répertoire en question. Lorsque je vais dans home je n'ai pas de fichier logiciel.

Ensuite il est noté :
autoreconf -i
./configure --prefix=/usr
make
sudo make install

Ce sont des lignes que je dois entrer dans mon terminal une fois les patchs installés à la bonne place?

Désolé ce sont sans doute des choses évidentes pour la plupart mais je suis assez ignare en la matière...

J'ai besoin de pouvoir utiliser les ecw comme avant (mon problème s'est déclenché lors du passage de la 12.10 à la 13.04) pour des raisons professionnelles.

Merci d'avance!


PS: ce problème a-t-il été signalé aux développeurs d'Ubuntu?

Dernière modification par symba (Le 27/06/2013, à 14:53)

Hors ligne

#20 Le 02/07/2013, à 11:20

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Désolé pour le double post mais c'est pour remonter le sujet.

Personne n'a donc de réponse à apporter?

Hors ligne

#21 Le 08/07/2013, à 13:24

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

symba a écrit :

Désolé pour le double post mais c'est pour remonter le sujet.

Personne n'a donc de réponse à apporter?

Tu rajoutes ce dépôt :

deb http://riderducoin.com/ubuntu1/ precise main

dans ton /etc/apt/sources.list
puis

sudo apt-get update 

puis

sudo apt-get install libecwj2 libgdal-ecw

puis

sudo add-apt-repository -y ppa:ubuntugis/ubuntugis-unstable
sudo apt-get install -y libgdal-ecw-src
sudo ldconfig

Et ça devrait fonctionner.

Dernière modification par kikislater (Le 08/07/2013, à 13:28)

Hors ligne

#22 Le 09/07/2013, à 11:04

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Parfait ça fonctionne de nouveau merci beaucoup!!

Hors ligne

#23 Le 09/07/2013, à 13:30

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

symba a écrit :

Parfait ça fonctionne de nouveau merci beaucoup!!

De rien !

Hors ligne

#24 Le 09/07/2013, à 15:18

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Bonjour Rider du coin,

je viens de faire une MAJ automatique de GDAL ce matin et paf, plus de ECW dans mon QGis...

J'ai cherché de faire ta manip et tout marche bien jusqu'à

sudo apt-get install -y libgdal-ecw-src

Voila que me le terminal me dit:

~$ sudo apt-get install -y libgdal-ecw-src
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgdal-ecw-src est déjà la plus récente version disponible.
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libqtkeychain0
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Idée sur comment procéder?

Pour info:
Xubuntu 12.04LTS
Qgis 1.8


Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#25 Le 09/07/2013, à 15:23

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :

Bonjour Rider du coin,

je viens de faire une MAJ automatique de GDAL ce matin et paf, plus de ECW dans mon QGis...

J'ai cherché de faire ta manip et tout marche bien jusqu'à

sudo apt-get install -y libgdal-ecw-src

Voila que me le terminal me dit:

~$ sudo apt-get install -y libgdal-ecw-src
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libgdal-ecw-src est déjà la plus récente version disponible.
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libqtkeychain0
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Idée sur comment procéder?

Pour info:
Xubuntu 12.04LTS
Qgis 1.8

En une ligne normalement :

sudo apt-get remove --purge qgis* libgdal* grass* gdal* libecw* && sudo apt-get install -y qgis grass  libecwj2 libgdal-ecw libgdal-ecw-src

Dernière modification par kikislater (Le 09/07/2013, à 15:23)

Hors ligne

Haut de page ↑